Subject: bug#15888: 24.3.50; Eval-after-load eval'ed twice

From: "Sebastien Vauban" <[email-masked]>
Date: Thu, 14 Nov 2013 19:57:02 +0100

Glenn, Michael,

Glenn Morris wrote:
> "Sebastien Vauban" wrote:
>
>> So, the bug is that the block is eval'ed twice (not once as it should).
>
> OK, still can't reproduce it. Maybe you have an explicit (load "org")
> lying around somewhere, I don't know.

I don't understand why you would not be able to reproduce it. I really have
nothing special here.

Before (in the first exchanges of this thread), for firing up an minimal Emacs,
I did (in a shell):

--8<---------------cut here---------------start------------->8---
em
--8<---------------cut here---------------end--------------->8---

with:

--8<---------------cut here---------------start------------->8---
alias em=emacs-minimal
--8<---------------cut here---------------end--------------->8---

and `emacs-minimal' being a shell script:

--8<---------------cut here---------------start------------->8---
#!/bin/sh

# no init file
cmd="/cygdrive/c/Program\ Files\ \(x86\)/emacs-trunk/bin/emacs -q -l ~/.emacs-minimal.el $TESTEL"

echo "Launching '$cmd'..."
eval "$cmd"

echo "Exit status: $?"
--8<---------------cut here---------------end--------------->8---

Now, I even take the simplest approach:

0. Copy the minimal configuration in the clipboard
1. Go into C:/Program Files/emacs-trunk/bin/
2. Launch emacs -Q
3. Paste the minimal configuration in the scratch buffer
4. Eval it
5. Open one random Org file (~/Public/Repositories/worg/ChangeLog.org)
6. Look at the echo area
7. Check in the Messages buffer -> block has been executed twice!

See http://screencast.com/t/pfWMZStlb23Z.

I do not see where extra `load' instructions could stay hidden (and out of my
mind) by applying this recipe.

Where is the black magic?

Best regards,
  Seb

-- 
Sebastien Vauban